<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1Logger.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::Logger Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ada23d4a22bda1b8c8720467340705390">addFileSink</a>(const std::string &amp;filepath=&quot;opensim.log&quot;)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#aa6abb842a363b6e596d5a2748f5f19f1">addSink</a>(const std::shared_ptr&lt; LogSink &gt; sink)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a79ed78dd4d35d61dded99abc5bbe385f">cout</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a8ae1892878df36703af38b369b11e0ca">critical</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#aa471cfeb37b39908214760efb4c45446">debug</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a250f3b0db87ffb351e1922d6ddfa4952">error</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#aca506597a87dafa7d5af8451377a7da6">getLevel</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#aa4f14f9ad998e048cda9beddfc7d088f">getLevelString</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a686643c76023df13e6e21e9006ed2c8a">info</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ab9bf77d271bae9aa6b904d4b71a0038b">Level</a> enum name</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a4f653d7d131bf90fe00c293b9cfd9d26">log_cout</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ad5a89a3ecbe0b1a88eae7dccf73af2b0">log_critical</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ae68b6746c2a1650da00a270e54334bd3">log_debug</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ab56a381bdaf340f6bc58ab73a67de4a8">log_error</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ac4d15dcdc1d233ba73afca5adfcc7cd2">log_info</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ae48973bbd459ae7f2e3f3644a798028e">log_trace</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a83e8a51160dc02d15543381e38405651">log_warn</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a3dcb06837a4266a621f7609c7ae9f063">Logger</a>()=delete</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#acd269e7508f0a8d41002db2bd5e2758b">removeFileSink</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a4ed6dc7413d3bd5f1a1e61e54db4ffa8">removeSink</a>(const std::shared_ptr&lt; LogSink &gt; sink)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#aebdf27ba090612d28271dfcd74e2944a">setLevel</a>(Level level)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a4cb7dc306a537291f77996c207bc20d3">setLevelString</a>(std::string level)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ae2208167a9d1c1b48ed4e54a161d679a">shouldLog</a>(Level level)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#ad981c195465d109877d26430dc93f13a">trace</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html#a9fb1e1e532b51620a732cee20f008ec6">warn</a>(spdlog::string_view_t fmt, const Args &amp;... args)</td><td class="entry"><a class="el" href="classOpenSim_1_1Logger.html">OpenSim::Logger</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:45 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
